<?php

namespace twa\ecomauth\controllers\v1;

use App\Http\Controllers\Controller;
use Carbon\Carbon;
use twa\apilibs\traits\APITrait;

class RenderAuthIFrameController extends Controller
{
    use APITrait;


    public function render($values = [])
    {
        $values = $this->ProcessValues($values);
        $Check = $this->ProcessRequired($values, []);
        if ($Check !== true) {
            return $Check;
        }

        return view('EcomAuthViews::v1.render', ['forceCompleteProfile' => $values->get('forceCompleteProfile')])->render();
    }

}